<?php

// Se encarga de poder cargar los modelos y las vistas
class Controller {

	// Cargar modelo
	public function model($model) {
		// Carga
		require_once APP_PATH.'/models/'.$model.'.php';
		// Instanciar el modelo
		return new $model();
	
	}
		
	// Cargar vista
	public function view($view, $data = []) {
		 // Convertir el array asociativo en variables individuales
		 extract($data);
		// Chequear si el archivo existe
		if (file_exists(APP_PATH.'/views/'.$view.'.php')) {
			require_once APP_PATH.'/views/'.$view.'.php';
		} else {
			// Si el archivo de la vista no existe
			die('La vista no existe');
		}
	}

}

?>
